#pragma once

#include <windows.h>
#include "mof/GraphicsDevice.hpp"

#include <d3dx9.h>


namespace mof
{
    class Window;
    
    namespace GraphicsDevice
    {
        // private
        void initialize(HWND hWnd, int adapter_id, int width, int height, bool fullscreen);
	    void finalize();
	    void beginScene();
	    void endScene();
	    LPDIRECT3DDEVICE9 getRawDevice( );
    }
}
